### Method

# RB ShellPreferences add_widget

#### Declaration [src]

    void
    rb_shell_preferences_add_widget (
      RBShellPreferences* prefs,
      GtkWidget* widget,
      RBShellPrefsUILocation location,
      gboolean expand,
      gboolean fill
    )

#### Description [src]

Adds a widget to the preferences window. See #gtk_box_pack_start for details on how the expand and fill parameters work. This function can be used to add widgets to the ‘general’ and ‘playback’ pages.

#### Parameters

`widget`

  Type: `GtkWidget`

  The `GtkWidget` to insert into the preferences window.

  The data is owned by the caller of the method.

`location`

  Type: `RBShellPrefsUILocation`

  The location at which to insert the widget.

`expand`

  Type: `gboolean`

  Whether the widget should be given extra space.

`fill`

  Type: `gboolean`

  Whether the widget should fill all space allocated to it.